%{!?_licensedir: %global license %%doc}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname simple-koji-ci

Name:               simple-koji-ci
Version:            0.3.1
Release:            1%{?dist}
Summary:            Consume pagure fedmsg messages to test pull-requests

Group:              Development/Libraries
License:            LGPLv2+
URL:                https://pagure.io/simple-koji-ci
Source0:            https://releases.pagure.org/simple-koji-ci/%{name}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      fedmsg
BuildRequires:      mock
BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python2-dogpile-cache
BuildRequires:      python2-six

Requires:           fedmsg
Requires:           mock
Requires:           python2-requests
Requires:           python2-dogpile-cache
Requires:           python2-six

%description
Fedmsg consumer that listens to messages from pagure over Fedora's dist-git
on src.fedoraproject.org and test the pull-requests opened there.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# Install the custom mock config
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/mock/
install -p -m 644 simple_koji_ci.cfg \
    $RPM_BUILD_ROOT/%{_sysconfdir}/mock/simple_koji_ci.cfg


# setuptools installs these, but we don't want them.
rm -rf %{buildroot}%{python2_sitelib}/tests/

%files
%doc README.rst
%license LICENSE
%{_sysconfdir}/mock/simple_koji_ci.cfg
%{python2_sitelib}/simple_koji_ci/
%{python2_sitelib}/simple_koji_ci-%{version}*

%changelog
* Tue Apr 09 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.3.1-1
- Fix re-triggering on PR update
- Log at DEBUG by default and log an user friendly URL for the admins
- Update the configuration for new build targets and drop some old ones

* Thu Feb 22 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.3.0-1
- Ensure the license info are consistently GPLv2+
- Flag the PR once the build has been submitted
- Support building in the target branch if known, otherwise default to rawhide
- Mention the commit tested in the flag added
- Trigger a new build on PR updates

* Wed Nov 22 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.0-1
- Adjust the configuration file as needed
- Remove piece of code not needed and breaking the app
- Fix spec file

* Tue Nov 21 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.0-1
- Initial package for infrastructure.
